package net.cobem.grizzly.communication.events.rooms;

import net.cobem.grizzly.communication.EventRequest;
import net.cobem.grizzly.communication.GameEvent;
import net.cobem.grizzly.communication.composers.rooms.SendActionStatusComposer;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class WaveEvent implements GameEvent {
    @Override
    public void compose(Session Session, EventRequest Request) {
        /*
		 * Wave = 1
		 * Blow Kiss = 2
		 * Laugh = 3
		 * Idle = 5 (It must be a different structure for sending back?)
		 * Hopstep = 6 (wdf is this)
		 * Thumbs Up = 7
		 */
        int Action = Request.readInt();

        Session.getActor().CurrentRoom.sendMessage(SendActionStatusComposer.compose(Session.getHabbo().getID(), Action));

        if (Action == 5) {
            Session.getActor().idle();
        }
    }
}
